Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.event
Class ListSelectionEvent

    java.lang.Object
      java.util.EventObject
          charvax.swing.event.ListSelectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ListSelectionEvent
extends java.util.EventObject

An event that characterizes a change in the current selection. ListEventListeners will generally query the source of the event directly to find out the status of each potentially changed row.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListSelectionEvent(java.lang.Object source_, int firstIndex_, int lastIndex_, boolean isAdjusting_)` Construct a ListSelectionEvent.

Method Summary
`int` | `getFirstIndex()` Get the index of the first row that changed
`int` | `getLastIndex()` Get the index of the last row that changed

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSelectionEvent

    public ListSelectionEvent(java.lang.Object source_,
                              int firstIndex_,
                              int lastIndex_,
                              boolean isAdjusting_)

  Construct a ListSelectionEvent.

Parameters:
  `source_` - the object that initiated this event (usually a DefaultListSelectionModel).
  `firstIndex_` - the index of the first row whose selection status has changed.
  `lastIndex_` - the index of the last row whose selection status has changed.
  `isAdjusting_` - not used in CHARVA.

Method Detail

### getFirstIndex

    public int getFirstIndex()

  Get the index of the first row that changed

### getLastIndex

    public int getLastIndex()

  Get the index of the last row that changed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD